// Code scaffolded by goctl. Safe to edit.
// goctl 1.10.1

package search

import (
	"context"

	"juwan-backend/app/search/api/internal/svc"
	"juwan-backend/app/search/api/internal/types"

	"github.com/zeromicro/go-zero/core/logx"
)

type RecommendationsLogic struct {
	logx.Logger
	ctx    context.Context
	svcCtx *svc.ServiceContext
}

// 首页推荐
func NewRecommendationsLogic(ctx context.Context, svcCtx *svc.ServiceContext) *RecommendationsLogic {
	return &RecommendationsLogic{
		Logger: logx.WithContext(ctx),
		ctx:    ctx,
		svcCtx: svcCtx,
	}
}

func (l *RecommendationsLogic) Recommendations(req *types.PageReq) (resp *types.SearchResp, err error) {
	return emptySearchResp(req.Offset, req.Limit), nil
}
